.nav-menu {
  flex: 1;
  margin: 0 rem(40);
  width: 100%;

  &__menu {
    @include dflex(center, wrap, space-between);
    list-style: none;
    padding-left: 0;
  }

  &__toggle {
    display: none;
  }

  &__text {
    a {
      font-size: rem(14);
      line-height: 3.14286;
      font-weight: 400;
      letter-spacing: -0.01em;
      font-family: 'SF Pro Text', 'Myriad Set Pro', 'SF Pro Icons',
        'Helvetica Neue', 'Helvetica', 'Arial', sans-serif;
      color: #f5f5f7;
      position: relative;
      z-index: 1;
      display: inline-block;
      padding: 0 rem(10);
      height: rem(44);
      opacity: 0.8;
      white-space: nowrap;
      transition: opacity 0.3s cubic-bezier(0.25, 0.1, 0.25, 1);

      svg {
        display: none;
      }

      &:hover {
        text-decoration: none;
        opacity: 1;
      }
    }
  }
}

@include mmax($pad) {
  .nav-menu {
    position: fixed;
    top: rem(45);
    left: 0;
    width: 100%;
    height: 100vh;
    background: $c-black;
    margin: 0;
    transition: height 0.56s cubic-bezier(0.52, 0.16, 0.24, 1);
    overflow: hidden;

    &:not(.is-active) {
      height: 0;
    }

    &__menu {
      padding: 0 rem(40) rem(8);
    }

    &__text {
      display: block;
      flex-basis: 100%;
      width: 100%;
      border-bottom: 1px solid #333;

      a {
        width: 100%;
        font-size: rem(18);
        height: auto;
        font-weight: 300;
      }

      &:last-child {
        border-bottom: 0px solid #000;
      }
    }
  }
}

// .nav-menu.active {
//   left: 0;
//   transition: 350ms;
// }

// .nav-bar {
//   width: rem(40.8);
//   height: rem(40.8);
// }
